## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - n -

- Name : iAwsKey, iEvent, SYMBOL_INFOW, SYMBOL_INFO, csObject, csCommandLineOption
- name : csOptionDescription, getopt_option, csEventCord, CrystalSpace::ImportKit::Container::Material, CrystalSpace::ImportKit::Container::Model, csBitmaskToString::MaskNames, csShaderProgram::ProgramParam, csShaderVarMapping, csGraphics2D
- name_reg : csInputDefinition
- NameChanged() : iObjectNameChangeListener
- nameDiffuseTexture : csTextureManager
- NameLen : SYMBOL_INFOW, SYMBOL_INFO
- NameRegistry : csInputDriver
- NameToId() : iAwsPrefManager
- NeedsPO2Maps : csGraphics3DCaps
- Negate() : csQuaternion
- New() : iSharedVariableList
- new_idx : csCompressVertexInfo, csCompressVertex
- NewCameraPosition() : iCameraPositionList
- NewCollection() : iCollectionList
- NewEvent() : csCommandEventHelper, csJoystickEventHelper, csMouseEventHelper
- NewFactory() : iTextureType, iMeshObjectType, iRenderStepType, csMeshType
- NewFile() : csArchive
- NewInstance() : iMeshObjectFactory, csMeshFactory
- NewMaterial() : iMaterialList
- NewMesh() : iSectorMeshCallback
- NewObject() : iScript
- NewSector() : iEngineSectorCallback, iCameraSectorListener
- NewSequence() : iSequenceManager
- NewShadowBlock() : iShadowBlockList
- NewTexture() : iTextureList
- NewTraversal() : csKDTree
- Next() : iReporterIterator, iPluginIterator, iObjectRegistryIterator, iObjectIterator, iEventAttributeIterator, iDocumentNodeIterator, iDocumentAttributeIterator, iConfigIterator, iVisibilityObjectIterator, iShadowIterator, iSectorIterator, iMeshWrapperIterator, iLightIterator, csWin32RegistryIterator, csSet< T >::GlobalIterator, csTypedObjectIterator< T >, csList< T >::Iterator, csHash< T, K >::GlobalIterator, csHash< T, K >::Iterator, CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >, csEmptyDocumentAttributeIterator, csEmptyDocumentNodeIterator, csEventTree::SubscriberIterator, csEventAttributeIterator, csArray< T, ElementHandler, MemoryAllocator >::Iterator, iUserRenderBufferIterator, csNodeIterator
- next : csSequenceOp, csFogInfo, csList< T >::csListElement, csEventCord::PluginData, csBlockAllocator< T, BlockPolicy >::FreeNode, csGenerateImageLayer, csFontCache::LRUEntry
- NextCallback : KDHELP64
- NextFrame() : iMeshObject, csMeshObject, csNewParticleSystem, csParticleSystem
- NextNoAdvance() : csHash< T, K >::GlobalIterator
- NextNode() : csNodeIterator
- node : csSubRectangles::SubRect::AllocInfo
- Node() : csRedBlackTree< K >::Node, csPartialOrder< T >::Node
- nodeAlloc : csRedBlackTree< K >
- NodeAttributeCompare() : CrystalSpace::DocumentHelper::NodeAttributeCompare
- NodeAttributeRegexpTest() : CrystalSpace::DocumentHelper::NodeAttributeRegexpTest
- NodeAttributeValueTest() : CrystalSpace::DocumentHelper::NodeAttributeValueTest
- NodeColor : csRedBlackTree< K >
- NodeMap : csPartialOrder< T >
- Nodes : csPartialOrder< T >
- NodeValueTest() : CrystalSpace::DocumentHelper::NodeValueTest
- Norm() : csVector4T< T >, csVector3, csVector2, csDVector3
- norm : csPlane3, csPlane2, csDPlane
- Normal() : csPlane3, csPlane2, csDPlane
- normal_buffer : csNewParticleSystem
- Normalize() : csVector4T< T >, csVector3, csQuaternion, csPlane3, csPlane2, csDPlane, csDVector3, csRect
- normals : CrystalSpace::ImportKit::Container::Model::Mesh
- Notify() : csEventTree
- num : csShaderExpression::oper_arg
- num_disk_start_cdir : ZIP_end_central_dir_record
- num_edges : csPoly2DEdges
- num_entries_centrl_dir_ths_disk : ZIP_end_central_dir_record
- NUM_FACES : csImageCubeMapMaker
- num_points : csSpline
- num_vertices : csMeshedPolygon, csTriangleVertices, csPolyIndexed, csPoly2D
- numAxes : csJoystickEventData, csMouseEventData
- number : csJoystickEventData, csParticleSystem
- number_this_disk : ZIP_end_central_dir_record
- numberOfLights : csShaderMetadata
- NumberOfMemoryRanges : MINIDUMP_MEMORY_LIST
- NumberOfStreams : MINIDUMP_HEADER
- NumSyms : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- nx : csCompressVertexInfo
- ny : csCompressVertexInfo
- nz : csCompressVertexInfo